ALSA project - the C library reference: snd_ctl_ext_t Struct Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_ctl_ext_t Struct Reference
External Control Plugin SDK

`#include <control_external.h>`

## Data Fields
unsigned int | version
int | card_idx
char | id [16]
char | driver [16]
char | name [32]
char | longname [80]
char | mixername [80]
int | poll_fd
const snd_ctl_ext_callback_t * | callback
void * | private_data
snd_ctl_t * | handle
int | nonblock
int | subscribed
union {
snd_ctl_ext_tlv_rw_t * c
const unsigned int * p
} | tlv

## Detailed Description

Handle of control ext

External control plugin handle

## Field Documentation

## ◆ callback

const snd_ctl_ext_callback_t* snd_ctl_ext_t::callback

callbacks of this plugin; must be filled before calling snd_pcm_ioplug_create()

## ◆ card_idx

int snd_ctl_ext_t::card_idx

Index of this card; must be filled before calling snd_ctl_ext_create()

## ◆ driver

char snd_ctl_ext_t::driver[16]

Driver name of this card; must be filled before calling snd_ctl_ext_create()

## ◆ handle

snd_ctl_t* snd_ctl_ext_t::handle

control handle filled by snd_ctl_ext_create()

## ◆ id

char snd_ctl_ext_t::id[16]

ID string of this card; must be filled before calling snd_ctl_ext_create()

## ◆ longname

char snd_ctl_ext_t::longname[80]

Long name of this card; must be filled before calling snd_ctl_ext_create()

## ◆ mixername

char snd_ctl_ext_t::mixername[80]

Mixer name of this card; must be filled before calling snd_ctl_ext_create()

## ◆ name

char snd_ctl_ext_t::name[32]

short name of this card; must be filled before calling snd_ctl_ext_create()

## ◆ nonblock

int snd_ctl_ext_t::nonblock

non-block mode; read-only

## ◆ poll_fd

int snd_ctl_ext_t::poll_fd

poll descriptor

## ◆ private_data

void* snd_ctl_ext_t::private_data

private data, which can be used freely in the driver callbacks

## ◆ subscribed

int snd_ctl_ext_t::subscribed

events subscribed; read-only

## ◆

union { ... } snd_ctl_ext_t::tlv

optional TLV data for the control (since protocol 1.0.1)

## ◆ version

unsigned int snd_ctl_ext_t::version

protocol version; SND_CTL_EXT_VERSION must be filled here before calling snd_ctl_ext_create()

The documentation for this struct was generated from the following file:

- /tmp/work/src/alsa-lib-1.2.8/include/control_external.h